%bcond_with tests
%bcond_with doc_files

Summary:        Highly concurrent networking library
Name:           python-eventlet
Version:        0.33.3
Release:        4%{?dist}
License:        MIT
URL:            https://eventlet.net
Source:         %pypi_source eventlet

BuildArch:      noarch

%description 
Eventlet is a concurrent networking library developed in Python that achieves high scalability 
by using non-blocking io.

%package -n python3-eventlet
Summary:        %{summary}
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-nose
BuildRequires:  python3-pyOpenSSL
%endif

%description -n python3-eventlet 
Eventlet is a concurrent networking library developed in Python that achieves high scalability 
by using non-blocking io.

%if %{with doc_files}
%package -n python3-eventlet-doc
Summary:        Documentation for python3-eventlet
BuildRequires:  make
BuildRequires:  python3-sphinx
BuildRequires:  python3-zmq

%description -n python3-eventlet-doc
%{summary}.
%endif

%prep
%autosetup -n eventlet-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
%if %{with doc_files}
%make_build -C doc html
%endif

%install
%pyproject_install
%pyproject_save_files eventlet

%check
%if %{with tests}
export EVENTLET_NO_GREENDNS=yes
nosetests-%{python3_version} -v -e greendns_test -e socket_test -e test_patcher_existing_locks_locked -e test_017_ssl_zeroreturnerror -e test_018b_http_10_keepalive_framing
%endif

%files -n python3-eventlet -f %{pyproject_files}
%doc README.rst AUTHORS NEWS

%if %{with doc_files}
%files -n python3-eventlet-doc
%license LICENSE
%doc doc/_build/html
%endif

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33.3-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33.3-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 07 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.33.3-1
- update to 0.33.3 to fix dns.rdtypes error

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 Wang Guodong <gordonwwang@tencent.com> - 0.33.1-1
- package init.
